// Copyright (c) Shenyang Leading Edge Intelligent Technology Co., Ltd. All rights reserved.

package base

import (
	"LAPP_ACURA_MOM_BACKEND/grmi"
	model "LAPP_ACURA_MOM_BACKEND/models/base"
)

/******************************************************************************
 *
 * @Description              : SnrCache的字段元数据
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2022-04-24 10:06:28
 *
 ******************************************************************************/
var SnrCache_PlantNr = grmi.NewField("PlantNr", "[SnrCache].PlantNr", "plantnr", grmi.TypeInt)
var SnrCache_SnrId = grmi.NewField("SnrId", "[SnrCache].SnrId", "snrid", grmi.TypeString)
var SnrCache_ItemNr = grmi.NewField("ItemNr", "[SnrCache].ItemNr", "itemnr", grmi.TypeInt)
var SnrCache_SnrDate = grmi.NewField("SnrDate", "[SnrCache].SnrDate", "snrdate", grmi.TypeDate)
var SnrCache_SnrYear = grmi.NewField("SnrYear", "[SnrCache].SnrYear", "snryear", grmi.TypeInt)
var SnrCache_SnrMonth = grmi.NewField("SnrMonth", "[SnrCache].SnrMonth", "snrmonth", grmi.TypeInt)
var SnrCache_SnrDay = grmi.NewField("SnrDay", "[SnrCache].SnrDay", "snrday", grmi.TypeInt)
var SnrCache_SnrWeek = grmi.NewField("SnrWeek", "[SnrCache].SnrWeek", "snrweek", grmi.TypeInt)
var SnrCache_Descr = grmi.NewField("Descr", "[SnrCache].Descr", "descr", grmi.TypeString)
var SnrCache_NextNr = grmi.NewField("NextNr", "[SnrCache].NextNr", "nextnr", grmi.TypeInt)
var SnrCache_StrCtrl1 = grmi.NewField("StrCtrl1", "[SnrCache].StrCtrl1", "strctrl1", grmi.TypeString)
var SnrCache_StrCtrl2 = grmi.NewField("StrCtrl2", "[SnrCache].StrCtrl2", "strctrl2", grmi.TypeString)
var SnrCache_StrCtrl3 = grmi.NewField("StrCtrl3", "[SnrCache].StrCtrl3", "strctrl3", grmi.TypeString)
var SnrCache_IntCtrl1 = grmi.NewField("IntCtrl1", "[SnrCache].IntCtrl1", "intctrl1", grmi.TypeInt)
var SnrCache_IntCtrl2 = grmi.NewField("IntCtrl2", "[SnrCache].IntCtrl2", "intctrl2", grmi.TypeInt)
var SnrCache_IntCtrl3 = grmi.NewField("IntCtrl3", "[SnrCache].IntCtrl3", "intctrl3", grmi.TypeInt)
var SnrCache_FlagCtrl1 = grmi.NewField("FlagCtrl1", "[SnrCache].FlagCtrl1", "flagctrl1", grmi.TypeBool)
var SnrCache_FlagCtrl2 = grmi.NewField("FlagCtrl2", "[SnrCache].FlagCtrl2", "flagctrl2", grmi.TypeBool)
var SnrCache_FlagCtrl3 = grmi.NewField("FlagCtrl3", "[SnrCache].FlagCtrl3", "flagctrl3", grmi.TypeBool)
var SnrCache_LastModify = grmi.NewField("LastModify", "[SnrCache].LastModify", "lastmodify", grmi.TypeDateTime)
var SnrCache_LastUser = grmi.NewField("LastUser", "[SnrCache].LastUser", "lastuser", grmi.TypeString)
var SnrCache_CreateTime = grmi.NewField("CreateTime", "[SnrCache].CreateTime", "createtime", grmi.TypeDateTime)

/******************************************************************************
 *
 * @Description              : SnrCache的元数据
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2022-04-24 10:06:28
 *
 ******************************************************************************/
var SnrCache = grmi.NewEntity(
	"SnrCache",
	func() interface{} { return &model.SnrCache{} },
	map[string]grmi.Field{
		SnrCache_PlantNr.Name:    SnrCache_PlantNr,
		SnrCache_SnrId.Name:      SnrCache_SnrId,
		SnrCache_ItemNr.Name:     SnrCache_ItemNr,
		SnrCache_SnrDate.Name:    SnrCache_SnrDate,
		SnrCache_SnrYear.Name:    SnrCache_SnrYear,
		SnrCache_SnrMonth.Name:   SnrCache_SnrMonth,
		SnrCache_SnrDay.Name:     SnrCache_SnrDay,
		SnrCache_SnrWeek.Name:    SnrCache_SnrWeek,
		SnrCache_Descr.Name:      SnrCache_Descr,
		SnrCache_NextNr.Name:     SnrCache_NextNr,
		SnrCache_StrCtrl1.Name:   SnrCache_StrCtrl1,
		SnrCache_StrCtrl2.Name:   SnrCache_StrCtrl2,
		SnrCache_StrCtrl3.Name:   SnrCache_StrCtrl3,
		SnrCache_IntCtrl1.Name:   SnrCache_IntCtrl1,
		SnrCache_IntCtrl2.Name:   SnrCache_IntCtrl2,
		SnrCache_IntCtrl3.Name:   SnrCache_IntCtrl3,
		SnrCache_FlagCtrl1.Name:  SnrCache_FlagCtrl1,
		SnrCache_FlagCtrl2.Name:  SnrCache_FlagCtrl2,
		SnrCache_FlagCtrl3.Name:  SnrCache_FlagCtrl3,
		SnrCache_LastModify.Name: SnrCache_LastModify,
		SnrCache_LastUser.Name:   SnrCache_LastUser,
		SnrCache_CreateTime.Name: SnrCache_CreateTime,
	},
	[]string{"PlantNr"},
	[]string{"SnrDate", "SnrYear", "SnrMonth", "SnrDay", "SnrWeek", "Descr", "NextNr", "StrCtrl1", "StrCtrl2", "StrCtrl3", "IntCtrl1", "IntCtrl2", "IntCtrl3", "FlagCtrl1", "FlagCtrl2", "FlagCtrl3", "LastUser"})
